import request from '@/utils/request'


//  获取选品分组列表
export function requertGroupList(params) {
  return request({
    url: '/banziSelect/getApiLists',
    method: 'GET',
    params
  })
}

// 获取逐级类目
export function requertCategoryList(params) {
  return request({
    url: '/banziSelect/getCategory',
    method: 'GET',
    params
  })
}


//  获取类目里面所有的商品
export function requertGoodsList(data) {
  return request({
    url: '/banziSelect/getNewList',
    method: 'POST',
    data
  })
}

//  获取商品详情
export function requertGoodsDetail(params) {
  return request({
    url: '/banziSelect/getApiGoodDetail',
    method: 'GET',
    params
  })
}

//  将商品加入商品分组
export function requertAddGoods(params) {
  return request({
    url: '/banziSelect/getApiGoodsAdd',
    method: 'GET',
    params
  })
}

//  获取选品库里面的商品
export function requertSelection(params) {
  return request({
    url: '/banziSelect/getApiMyLists',
    method: 'GET',
    params
  })
}
// 商品分类
export function getClassify(data) {
  return request({
    url: '/classify/getAll',
    method: 'post',
    data
  })
}


// 编辑商品类别
export function commdityClassgetById(data) {
  return request({
    url: '/classify/getById',
    method: 'post',
    data
  })
}

//  获取 186 商户自己的分组
export function requertShopGroup(data) {
  return request({
    url: '/shopGroup/getAll',
    method: 'POST',
    data
  })
}

//  移除选品库里面的商品
export function requertRemove(params) {
  return request({
    url: '/banziSelect/getApiRemove',
    method: 'GET',
    params
  })
}